Subject: bug#21229: 24.5; parse-time-string ignore PM/AM

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 Aug 2015 12:05:49 -0400

>> It should be possible to add support for:
>> "%m/%d/%y"
> What about "%d/%m/%y"?

Indeed.  I already bumped into such problems with parse-time-string
where it seemed to return a completely bogus result until I realized
that it picked a different ordering from the one I had.

The problem exists for "a-b-c" as well, tho I can't remember ever seeing
"YYYY-DD-MM" nor "MM-DD-YYYY" so if the year is spelled out as 4 digits,
the "a-b-c" format is somewhat reliable (at least within my part of the
world).

        Stefan